### Method

# Gegl Node get_property

#### Declaration [src]

    void
    gegl_node_get_property (
      GeglNode* node,
      const gchar* property_name,
      GValue* value
    )

#### Description [src]

This is mainly included for language bindings. Using #gegl_node_get is more convenient when programming in C.

This method is not directly available to language bindings.

The implementation of this method is provided by `gegl_node_introspectable_get_property()` in language bindings.

#### Parameters

`property_name`

  Type: `const gchar*`

  The name of the property to get.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `GValue`

  Pointer to a GValue where the value of the property should be stored.

  The argument will be set by the function.
  The returned data is owned by the instance.